Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class SubmitCSRForForeignerRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.certra.protocol.v2.SubmitCSRForForeignerRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class SubmitCSRForForeignerRequest

extends RequestType
implements Serializable

Request containing the details of a Certificate Signing Request of a foreign person. This request should only be used by foreign persons that not resident in Belgium and thus do not have a SSIN number. This request will only "submit" the CSR, no certificate generation will take place until the foreigner has confirmed their identity using the eHealth IDP.

Java class for SubmitCSRForForeignerRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubmitCSRForForeignerRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ForeignPerson" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="CSR" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubmitCSRForForeignerRequest()`

Method Summary
`ContactDataType` | `getContactData()` Gets the value of the contactData property.
`byte[]` | `getCSR()` Gets the value of the csr property.
`ActorType` | `getForeignPerson()` Gets the value of the foreignPerson property.
`void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
`void` | `setCSR(byte[] value)` Sets the value of the csr property.
`void` | `setForeignPerson(ActorType value)` Sets the value of the foreignPerson property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubmitCSRForForeignerRequest

    public SubmitCSRForForeignerRequest()

Method Detail

### getForeignPerson

    public ActorType getForeignPerson()

  Gets the value of the foreignPerson property.

  Returns:
    possible object is `ActorType`

### setForeignPerson

    public void setForeignPerson(ActorType value)

  Sets the value of the foreignPerson property.

  Parameters:
    `value` - allowed object is `ActorType`

### getContactData

    public ContactDataType getContactData()

  Gets the value of the contactData property.

  Returns:
    possible object is `ContactDataType`

### setContactData

    public void setContactData(ContactDataType value)

  Sets the value of the contactData property.

  Parameters:
    `value` - allowed object is `ContactDataType`

### getCSR

    public byte[] getCSR()

  Gets the value of the csr property.

  Returns:
    possible object is byte[]

### setCSR

    public void setCSR(byte[] value)

  Sets the value of the csr property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.